import { Space, Table, Button, Popconfirm, notification,Divider,Radio } from 'antd';
import React, { useState, useEffect } from 'react';
import styles from '../SchemeConfig.less'
import {
    GetVectorService, deleteVectorService,GetAllConfig
} from '@/services/webConfig/api';
import {
    UserAddOutlined
} from '@ant-design/icons';
import AddModal from './AddModal'
const VectorData = props => {
    const [treeLoading, setTreeLoading] = useState(false);// 弹窗显示
    const [webData, setWebData] = useState([]); // web数据
    const [handData, setHandData] = useState([]); //手持数据
    const [visible, setVisible] = useState(false); // 弹窗
    const [flag, setFlag] = useState(0); // 更新list
    const [loading, setLoading] = useState([]); // 更新状态
    const [type, setType] = useState('add'); // 弹窗类型
    const [solutionNames, setSolutionNames] = useState('');
    const [formObj, setFormObj] = useState({ user: 'admin', password: 'geoserver' });
    const columns = [
        {
            title: '默认方案',
            align: 'center',
            key: 'url',
            render: (text, record, index) => (
                <Space>
                    <Radio value={record}/>
                </Space>
            ),
        },
        {
            title: '方案名',
            dataIndex: 'schemename',
            key: 'schemename',
            align: 'center'
        },
        {
            title: '关联角色',
            align: 'center',
            key :'type',
            render: (text, record, index) => (
                <Space>
                    <div onClick={e => e.stopPropagation()}>
                     <UserAddOutlined />
                    </div>
                </Space>
            ),
        },
        {
            title: '编辑',
            align: 'center',
            key: 'schemename',
            render: (text, record, index) => (
                <Space>
                    <div onClick={e => e.stopPropagation()}>
                        <Popconfirm
                            title="是否删除该矢量数据？"
                            okText="确认"
                            cancelText="取消"
                            onConfirm={() => {
                                delConfirm(record);
                            }}
                        >
                            <Button size="small" danger>
                                删除
                            </Button>
                        </Popconfirm>
                    </div>
                </Space>
            ),
        }

    ];


  
    const onSubmit = prop => {
        setVisible(false);
        setFlag(flag + 1)
    };
    const delConfirm = (record) => {
        let query = {
            serviceName: record.serviceName,
            _version: 9999,
            solution: solutionNames
        }
        deleteVectorService(query).then(res => {
            if (res.success) {
                setFlag(flag + 1)
                notification.success({
                    message: '提示',
                    duration: 3,
                    description: '删除元数据成功',
                });
            } else {
                notification.error({
                    message: '提示',
                    duration: 3,
                    description: '删除元数据失败',
                });
            };
        })
    }
    const handleAdd = () => {
        setType('add');
        setVisible(true);
    }
    useEffect(() => {
        renderTile();
    }, [flag]);
    // 获取瓦片数据配置数据
    const renderTile = () => {
        setTreeLoading(true);
        //查询方案
        var schemeConfigQueryRequest = GetAllConfig({
            terminalType: 'scheme',
            isBaseMap: false
        })
         //查询web方案
        var webSchemeQueryRequest = GetAllConfig({
            terminalType: 'web',
            isBaseMap: false
        })
        Promise.all([schemeConfigQueryRequest,webSchemeQueryRequest]).then(res=>{
            console.log('res',res);
            if(res[0].IsSuccess){
                setHandData(res[0].Result)
            }
             if(res[1].IsSuccess){
                 setWebData(res[1].Result)
             }
        })
      
    };



    return (
        <>
            <Divider orientation="left">Web</Divider>
            <Table
                columns={columns}
                dataSource={webData}
                bordered
                rowKey="schemename"
                scroll={{ y: 400 }}
            >
            </Table>
            <Divider orientation="left">手持</Divider>
            <Table
                columns={columns}
                dataSource={handData}
                bordered
                rowKey="schemename"
                scroll={{ y: 400 }}
            >
            </Table>
        </>
    )
}
export default VectorData